Description

The attached patch fixes the logic to set the position names of issue priorities which are used to define issue colours is assigned
issues.

Before this fix, the names were not re-calculated if the default issue priority was changed. This resulted in the the previous colours
being used which thus would not match with the defined order anymore.

Associated revisions

Revision 17329 - 2018-05-12 05:25 - Go MAEDA

Recalculate issue priority position names if default value changed (#28494).

Patch by Holger Just.

Revision 17330 - 2018-05-12 05:33 - Go MAEDA
Add test for r17329 (#28494).

Patch by Tomomi Yuzuriha.

History

#1 - 2018-04-08 00:28 - Go MAEDA

- Target version set to 4.1.0

Confirmed the problem, setting target version to 4.1.0.

#2 - 2018-04-25 08:45 - Go MAEDA

Steps to reproduce:

1. Assume that there are 5 active priorities, Low, Normal, High, Urgent, and Immediate. The default priority is Normal.

2. On the "Enumerations" page, edit the priority "High" and set the "Default value" flag true.

3. Check the CSS class for the issue whose priority is "High". The issue should have "priority-default” class but the actual class is "priority-high3".

4. Reorder priorities on "Enumerations” page.
5. Check the CSS class of the issue you saw in step 3. Position names are recalculated and the issue has correct CSS class "priority-default”.

#3 - 2018-05-08 08:08 - Tomomi Yuzuriha

- File 0002-Recalculate-issue-priority-position-names-if-default.patch added

| wrote a test so that this patch will be included in the Redmine core.
The test sets the first IssuePriority to the default and tests whether the position_name has changed.

#4 - 2018-05-08 09:35 - Go MAEDA
- File 28494-test.patch added

Tomomi Yuzuriha wrote:

| wrote a test so that this patch will be included in the Redmine core.

Thank you for your contribution. | extracted a test from your work and changed the method name. We can apply the following patch to the core.

e 0001-Recalculate-issue-priority-position-names-if-default.patch
https://www.redmine.org/attachments/20426

® 28494-test.patch

#5 - 2018-05-12 05:34 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed the patch by Holger Just and the test by Tomomi Yuzuriha. Thanks.

Files

0001-Recalculate-issue-priority-position-names-if-default.patch 1.07 KB 2018-04-05 Holger Just

0002-Recalculate-issue-priority-position-names-if-default.patch 1.57 KB 2018-05-08 Tomomi Yuzuriha

28494-test.patch 844 Bytes 2018-05-08 Go MAEDA
